unit uModalResult;

interface

uses
{$IFDEF VCL}
  Controls,
{$ELSE}
  QControls,
{$ENDIF}
  Rubies;

procedure Init_ModalResult;

implementation

uses uStrUtils, uDefUtils, uPhi;

procedure Init_ModalResult;
begin
  ap_define_const(mPhi, 'mrNone', INT2FIX(mrNone));
  ap_define_const(mPhi, 'mrOk', INT2FIX(mrOk));
  ap_define_const(mPhi, 'mrCancel', INT2FIX(mrCancel));
  ap_define_const(mPhi, 'mrAbort', INT2FIX(mrAbort));
  ap_define_const(mPhi, 'mrRetry', INT2FIX(mrRetry));
  ap_define_const(mPhi, 'mrIgnore', INT2FIX(mrIgnore));
  ap_define_const(mPhi, 'mrYes', INT2FIX(mrYes));
  ap_define_const(mPhi, 'mrNo', INT2FIX(mrNo));
  ap_define_const(mPhi, 'mrAll', INT2FIX(mrAll));
end;

end.
